/** Shopify CDN: Minification failed

Line 382:13 Cannot use type selector "--pages" directly after nesting selector "&"
Line 391:13 Cannot use type selector "--products" directly after nesting selector "&"

**/
.site-header__element--top .page-width {
    --page-width: 100%;
    padding: 0 32px;
}

.header-item--logo .site-header__logo {
    margin: 0 !important;
}

.header-item--logo .site-header__logo a {
    color: rgb(10, 41, 31);
    font-family: var(--font-family-heading);
    letter-spacing: 0;
    font-weight: 700;
    font-size: 20px;
    line-height: 1.2;
    display: block;
    width: max-content;
}

.header-item--navigation .site-navigation {
    display: flex;
    /* gap: 40px; */
}

.header-item--navigation .site-navigation .site-nav__link {
    font-size: 12px !important;
    font-family: var(--font-family-base) !important;
    padding: 26px 20px;
    line-height: 1;
    font-weight: 500;
    color: rgb(10, 41, 31);
    letter-spacing: 1.2px !important;
}

.header-item--navigation .site-navigation .site-nav__link svg {
    display: none;
}

.SiteHeader {
    border-bottom: 1px solid rgb(201, 219, 189);
}

.site-nav .site-nav__icons {
    gap: 20px;
}

.site-nav .site-nav__icons .site-nav__link {
    padding: 0;
    font-size: 12px;
    font-family: var(--font-family-base) !important;
    font-weight: 500;
    line-height: 1;
    letter-spacing: 1.2px;
}

.site-nav .site-nav__icons .site-nav__link .element-icon-user {
    display: none;
}

.site-nav .site-nav__icons #HeaderCartTrigger .site-nav__icon-label {
    display: none;
}

.site-nav .site-nav__icons #HeaderCartTrigger .cart-link {
    display: flex;
    align-items: center;
    gap: 4px;
}

.site-nav .site-nav__icons #HeaderCartTrigger .cart-link svg {
    width: 20px;
    height: 20px;
}

.site-nav .site-nav__icons #HeaderCartTrigger .cart-link .cart-link__bubble {
    position: unset;
    color: rgb(10, 41, 31);
}

.site-nav .site-nav__icons #HeaderCartTrigger .cart-link .cart-link__bubble:before {
    display: none;
}

.site-nav .site-nav__icons #HeaderCartTrigger .cart-link .cart-link__bubble * {
    color: currentColor !important;
}

.site-nav .site-nav__icons .site-nav__link .site-nav__icon-label {
    margin: 0;
}

.site-nav .site-nav__icons .site-nav__link svg {
    width: 20px;
    height: 20px;
}

.search__results {
    position: unset;
    overflow: unset;
    margin: 0;
}

.predictive-search-results {
    padding: 0;
    gap: 20px;
}

.predictive-search-results h3 {
    padding: 0;
    margin: 0 0 12px !important;
    border: none;
    font-size: 10px !important;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
    color: #4c7668;
}

.results {
    padding: 0;
}

.predictive-search-results>div {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.results.results--queries ul,
.results--pages ul {
    font-size: 12px;
    font-family: var(--font-family-base) !important;
    font-weight: 500;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.results.results--queries {}

.results.results--queries ul span {
    font-weight: 700;
}

.results--products ul {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.results--products ul a:hover {
    background: #e7eee266;
}

.results--products ul a {
    transition: all .4s ease;
    gap: 12px;
    border-radius: 8px;
    overflow: hidden;
    padding: 10px;
    display: flex;
}

.results-products__image {
    min-width: unset;
    width: 48px;
    aspect-ratio: 1/1;
    min-height: unset;
    height: auto;
    border-radius: 4px;
}

.results-products__info span {
    font-size: 12px;
    font-family: var(--font-family-base) !important;
    line-height: 1.2;
    font-weight: 500;
    color: #4c7668;
}

.results-products__info .grid-product__vendor {
    display: none;
}

.results-products__info .grid-product__price {
    font-size: 12px;
    margin-top: 5px;
    color: #4c7668;
    font-weight: 500;
    opacity: 0.8;
}

.results--products ul li {
    background: transparent;
}

.results__search-btn {
    background: #0e583d;
    color: #fff;
    border-radius: 50px;
    font-family: var(--font-family-base) !important;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 12px;
    border: 1px solid #0e583d;
    margin-top: 20px;
}

.results__search-btn:hover {
    color: #0e583d;
}

.site-header__drawer.site-header__cart {
    transform: translateX(100%);
}

.site-header__drawer.site-header__cart.is-active {
    transform: translateX(0);
}

.results__search-btn svg {
    color: currentColor;
}
#HeaderCart {
    display: none !important; 
}

@media (min-width:769px) {
    header-search.site-header__search-container {
        width: 100% !important;
        background: #fff;
        position: fixed;
        top: 0;
        right: 0;
        height: max-content !important;
        min-height: 105px;
        align-items: flex-start;

        &:after {
            content: '';
            position: absolute;
            width: 100vw;
            height: 100vh;
            background: #0006;
            top: 0;
            z-index: -1;
        }

        &:before {
            content: '';
            position: absolute;
            width: 100vw;
            height: 100%;
            background: #fff;
            top: 0;
            z-index: 0;
        }

        predictive-search {
            max-width: 800px;
            margin-top: 20px;

            form {
                padding: 20px 24px;
                gap: 16px;
                align-items: flex-end;

                .search__input-wrap {
                    display: flex;
                    flex-direction: row-reverse;
                    gap: 16px;
                    align-items: flex-end;

                    .footer-input-filed {
                        flex-grow: 1;

                        input.search__input {
                            padding: 0 0 4px;
                            border: 0;
                            box-shadow: none;
                            border-bottom: 1px solid rgba(14, 88, 61, 0.4);
                            border-radius: 0;
                            font-size: 16px;
                            font-family: var(--font-family-base) !important;
                            line-height: 1.2;
                        }
                    }

                    .element-button--search {
                        position: relative;
                        width: 20px;
                        height: 20px;
                        padding: 0;
                        margin: 0;
                        top: 0;
                    }
                }

                .element-button--close-search {
                    width: 28px;
                    height: 28px;
                    padding: 4px;
                    min-width: auto;
                    margin-left: 4px;
                    display: block;
                    min-height: auto;
                    flex: unset !important;

                    svg {
                        width: 100%;
                        height: 100%;
                        color: rgb(10, 41, 31);
                        opacity: 1;
                    }
                }
            }
        }

        .predictive__screen {
            display: none !important;
        }

        .site-header__search {
            min-height: 105px;
            max-height: 75vh;
            overflow: auto;
        }

        .search__results {
            position: unset;
            overflow: unset;
            margin: 0;
        }

        .predictive-search-results {
            padding: 0;
            gap: 20px;

            h3 {
                padding: 0;
                margin: 0 0 12px !important;
                border: none;
                font-size: 10px !important;
                text-transform: uppercase;
                letter-spacing: 1px;
                font-weight: 700;
                color: #4c7668;
            }

            >div {
                display: flex;
                flex-direction: column;
                gap: 20px;
            }
        }

        .results {
            padding: 0;

            &.results--queries {
                ul {
                    font-size: 12px;
                    font-family: var(--font-family-base) !important;
                    font-weight: 500;
                    display: flex;
                    flex-direction: column;
                    gap: 5px;

                    span {
                        font-weight: 700;
                    }
                }
            }

            &--pages ul {
                font-size: 12px;
                font-family: var(--font-family-base) !important;
                font-weight: 500;
                display: flex;
                flex-direction: column;
                gap: 5px;
            }

            &--products ul {
                display: grid;
                grid-template-columns: 1fr 1fr;

                li {
                    background: transparent;
                }

                a {
                    transition: all .4s ease;
                    gap: 12px;
                    border-radius: 8px;
                    overflow: hidden;
                    padding: 10px;
                    display: flex;

                    &:hover {
                        background: #e7eee266;
                    }
                }
            }
        }

        .results-products__image {
            min-width: unset;
            width: 48px;
            aspect-ratio: 1/1;
            min-height: unset;
            height: auto;
            border-radius: 4px;
        }

        .results-products__info {
            span {
                font-size: 12px;
                font-family: var(--font-family-base) !important;
                line-height: 1.2;
                font-weight: 500;
                color: #4c7668;
            }

            .grid-product__vendor {
                display: none;
            }

            .grid-product__price {
                font-size: 12px;
                margin-top: 5px;
                color: #4c7668;
                font-weight: 500;
                opacity: 0.8;
            }
        }

        .results__search-btn {
            background: #0e583d;
            color: #fff;
            border-radius: 50px;
            font-family: var(--font-family-base) !important;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 12px;
            border: 1px solid #0e583d;
            margin-top: 20px;

            &:hover {
                color: #0e583d;
            }

            svg {
                color: currentColor;
            }
        }
    }
}

@media (max-width:768px) {
    .site-header__element--top .page-width {
        padding: 12px 16px;
    }

    .site-header__element .mobile-nav-trigger {
        padding: 4px;
        width: 28px;
        height: 28px;
    }

    .site-header__element .mobile-nav-trigger svg {
        width: 100%;
        height: 100%;
        stroke-width: 2px;
    }

    .site-nav .site-nav__icons #HeaderCartTrigger .cart-link .cart-link__bubble {
        position: absolute;
        width: 8px;
        height: 8px;
        font-size: 0;
        background: currentColor;
        border-radius: 50%;
        padding: 0;
        top: 1px;
        right: -2px;
        border: 2px solid #fff;
    }

    .header-item--logo .site-header__logo a {
        font-size: 18px;
    }
}